<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;


/**
 * Setup My Child Theme's textdomain.
 *
 * Declare textdomain for this child theme.
 * Translations can be filed in the /languages/ directory.
 */
function banca_child_theme_setup() {
    load_child_theme_textdomain( 'banca-child', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'banca_child_theme_setup' );


// BEGIN ENQUEUE PARENT ACTION
if ( !function_exists( 'banca_child_theme_parent_css' ) ):
    function banca_child_theme_parent_css() {
        $parent_handle = 'banca-child-parent-root'; // This is 'banca-parent-style' for the banca theme.
        $theme = wp_get_theme();
        wp_enqueue_style (
            $parent_handle,( get_template_directory_uri() ) . 'style.css',
            array(), // if the parent theme code has a dependency, copy it to here
            $theme->parent()->get('Version')
        );

        wp_enqueue_style( 'child-style', get_stylesheet_uri(),
            array( $parent_handle ),
            $theme->get('Version') // this only works if you have Version in the style header
        );
    }
endif;

add_action( 'wp_enqueue_scripts', 'banca_child_theme_parent_css', 10 );
// END ENQUEUE PARENT ACTION
