<?php
// Disable regenerating images while importing media
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

// OneClick Demo Importer
add_filter( 'pt-ocdi/import_files', 'banca_import_files' );


function banca_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Home 01', 'banca' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home_01.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'banca' ),
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/banca/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme-settings.json',
                    'option_name' => 'banca_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Home 02', 'banca' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home_02.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'banca' ),
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/banca/home-02/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme-settings.json',
                    'option_name' => 'banca_opt',
                ),
            ),
        ),

        array(
            'import_file_name'             => esc_html__( 'Home 03', 'banca' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demos/all/contents.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demos/all/widgets.wie',
            'import_preview_image_url'     => trailingslashit( get_template_directory_uri() ).'inc/demos/all/img/home_03.jpg',
            'import_notice'                => esc_html__( 'Install and active all required plugins before you click on the "Import Demo Data" button.', 'banca' ),
            'preview_url'                  => 'https://wordpress-theme.spider-themes.net/banca/home-03/',
            'local_import_redux'           => array(
                array(
                    'file_path'   => trailingslashit( get_template_directory() ) . 'inc/demos/all/theme-settings.json',
                    'option_name' => 'banca_opt',
                ),
            ),
        ),


    );
}

function banca_after_import_setup( $selected_import ) {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array (
            'main_menu' => $main_menu->term_id,
        )
    );

    // Disable Elementor's Default Colors and Default Fonts
    update_option( 'elementor_disable_color_schemes', 'yes' );
    update_option( 'elementor_disable_typography_schemes', 'yes' );
    update_option( 'elementor_global_image_lightbox', '' );


    // Assign front page and posts page (blog page).
    if ( 'Home 01' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - 01' );
    }
    if ( 'Home 02' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - 02' );
    }
    if ( 'Home 03' == $selected_import['import_file_name'] ) {
        $front_page_id = get_page_by_title( 'Home - 03' );
    }

    $blog_page_id  = get_page_by_title( 'Blog' );

    // Set the home page and blog page
    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'banca_after_import_setup' );