<?php

// Footer settings
Redux::set_section('banca_opt', array(
	'title'     => esc_html__( 'Footer', 'banca' ),
	'id'        => 'banca_footer',
	'icon'      => 'dashicons dashicons-arrow-down-alt2',
    'fields'           => array(

        array(
            'title'     => esc_html__( 'Footer Style', 'banca' ),
            'subtitle'  => esc_html__( 'Select a Footer template from here. Leave the field empty to use the default footer.', 'banca' ),
            'id'        => 'footer_style',
            'type'      => 'select',
            'options'   => banca_get_postTitleArray( 'footer' )
        ),

        array(
            'id'            => 'is_footer_columns_preset',
            'type'          => 'switch',
            'title'         => esc_html__( 'Preset Columns', 'banca' ),
            'subtitle'      => esc_html__( 'If you enable this switcher, the Footer Widget columns will set as preset (33.33% + 22.22 + 22.22 + 22.22) on the demo of Banca.', 'banca' ),
            'on'            => esc_html__( 'Yes', 'banca' ),
            'off'           => esc_html__( 'No', 'banca' ),
            'default'       => true,
        ),

        array(
            'title'     => esc_html__('Footer Column', 'banca'),
            'id'        => 'footer_column',
            'type'      => 'select',
            'default'   => '3',
            'options'   => array(
                '6' => esc_html__('Two Column', 'banca'),
                '4' => esc_html__('Three Column', 'banca'),
                '3' => esc_html__('Four Column', 'banca'),
            ),
        ),

        array(
            'title'     => esc_html__( 'Padding', 'banca' ),
            'subtitle'  => esc_html__( 'Padding around the footer columns (Top Right Bottom Left)', 'banca' ),
            'id'        => 'footer_column_padding',
            'type'      => 'spacing',
            'output'    => array( '.footer_area .f_widget' ),
            'mode'      => 'padding',
            'units'     => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
            'units_extended' => 'true',
        ),
    )
));


// Logo
Redux::set_section( 'banca_opt', array(
    'title'            => esc_html__( 'Logo', 'banca' ),
    'id'               => 'footer_logo_opt',
    'subsection'       => true,
    'icon'             => '',
    'fields'           => array(
        array(
            'title'     => esc_html__( 'Main Logo', 'banca' ),
            'subtitle'  => esc_html__( 'Upload here a image file for your logo', 'banca' ),
            'id'        => 'footer_main_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => BANCA_DIR_IMG.'/logo/logo.png'
            )
        ),

        array(
            'title'     => esc_html__( 'Retina Main Logo', 'banca' ),
            'subtitle'  => esc_html__( 'The retina logo should be double (2x) of your original logo', 'banca' ),
            'id'        => 'footer_retina_logo',
            'type'      => 'media',
            'default'   => array(
                'url'   => BANCA_DIR_IMG.'/logo/retina_logo.png'
            )
        ),
    )
) );



// Footer settings
Redux::set_section('banca_opt', array(
	'title'     => esc_html__( 'Font colors', 'banca' ),
	'id'        => 'banca_footer_font_colors',
	'icon'      => '',
	'subsection'=> true,
	'fields'    => array(
        array(
            'title'     => esc_html__( 'Widget Title Color', 'banca' ),
            'id'        => 'widget_title_color',
            'type'      => 'color',
            'output'    => array('.f_widget .f_title' )
        ),
        array(
            'title'     => esc_html__( 'Normal Font color', 'banca' ),
            'id'        => 'footer_top_normal_font_color',
            'type'      => 'color_rgba',
            'output'    => array('.footer_top .f_widget ul li a, .footer_top .widget.widget_nav_menu ul li a' )
        ),
        array(
            'title'     => esc_html__( 'Hover Font color', 'banca' ),
            'id'        => 'footer_top_hover_font_color',
            'type'      => 'color_rgba',
            'output'    => array('.footer_top .f_widget ul li a:hover, .footer_top .widget.widget_nav_menu ul li a:hover' )
        ),
	)
));

// Footer background
Redux::set_section('banca_opt', array(
	'title'     => esc_html__( 'Background', 'banca' ),
	'id'        => 'banca_footer_background',
	'icon'      => '',
	'subsection'=> true,
	'fields'    => array(

        array(
            'title'     => esc_html__( 'Background Color', 'banca' ),
            'id'        => 'footer_top_bg_color',
            'type'      => 'color',
            'output'    => array('.footer_area' ),
            'mode'      => 'background'
        ),

        array(
            'title'     => esc_html__( 'Bottom Background Color', 'banca' ),
            'subtitle'  => esc_html__( 'Footer bottom background color', 'banca' ),
            'id'        => 'footer_btm_bg_color',
            'type'      => 'color',
            'output'    => array('.footer_bottom' ),
            'mode'      => 'background'
        ),
	)
));

// Footer settings
Redux::set_section('banca_opt', array(
    'title'     => esc_html__( 'Footer Bottom', 'banca' ),
    'id'        => 'banca_footer_btm',
    'icon'      => '',
    'subsection'=> true,
    'fields'    => array(

        array(
            'title'     => esc_html__( 'Copyright Text', 'banca' ),
            'id'        => 'copyright_txt',
            'type'      => 'editor',
            'default'   => '© 2021 All Rights Reserved by Spider-themes',
            'args'    => array (
                'wpautop'       => true,
                'media_buttons' => false,
                'textarea_rows' => 10,
                'teeny'         => false,
                'quicktags'     => true,
            )
        ),
    )
));